KeepTopThreadGeneric
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.elements
Class KeepTopThreadGeneric

    java.lang.Object
      java.lang.Thread
          org.gcube.common.searchservice.searchlibrary.resultset.elements.KeepTopThreadGeneric

All Implemented Interfaces:
  java.lang.Runnable

    public class KeepTopThreadGeneric

extends java.lang.Thread

Thread used to background populate a new `ResultSet` keeping a top count of results

Author:
  UoA

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`static short` | `PERPART` The operation should be performed on a per part basis
`static short` | `PERRECORD` The operation should be performed on a per record basis

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`KeepTopThreadGeneric(ResultSet rs, ResultSet rsRead, int count, int type)` Creates a new `KeepTopThreadGeneric`

Method Summary
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PERPART

    public static short PERPART

  The operation should be performed on a per part basis

### PERRECORD

    public static short PERRECORD

  The operation should be performed on a per record basis

Constructor Detail

### KeepTopThreadGeneric

    public KeepTopThreadGeneric(ResultSet rs,
                                ResultSet rsRead,
                                int count,
                                int type)

  Creates a new `KeepTopThreadGeneric`

  Parameters:
    `rs` - The `ResultSet` to whom the records must be appended
    `rsRead` - The `ResultSet` from which to read the records
    `count` - The number of records to keep
    `type` - The type of keep op operation to perform. This can be `PERPART` or `PERRECORD`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`
  See Also:
    `Runnable.run()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD